
/* ControlPoint.h	Peter Wickersham
 * 
 * ControlPoint : Shape : N3DShape : Object
 *
 * Generally, ControlPoint is an abstraction of control points for Patches.
 * They provide a "handle" by which a user can manipulate certain parameter
 * values for patches.  Specifically, they are a subclass of Shape that
 * render small spheres at low resolution always.  They are meant to be
 * allocated by another shape which then queries the control points for their
 * position in space. See Patch.[hm] for details on how that owner shape uses
 * the points.  It is up to the allocating object to place the ControlPoint
 * in its' correct space in the WorldHierarchy.  See N3DShape for more on
 * the relationships of shape spaces.
 *
 */
 
@interface ControlPoint : Shape
{
}

// init is where we get to setup our ControlPoints
- init;

// trans is the method by which the ControlPoint passes its' current 
// translation to its' master object, such as Patch.
- trans:(RtFloat *)t;
@end