/* PatchInspector.h 	Peter Wickersham
 * 
 * PatchInspector : ShapeInspector : Inspector3D : Inspector : Object
 *
 * PatchInspector is a class for inspecting and changing certain attributes
 * about the Patch geometry object.  It is needed as the File's Owner object
 * in the PatchInspector.nib.  It provides the conduit between the selected
 * Patch object and the Patch Inspector panel.  The important method that
 * needs to be overridden is the loadShape:inView method(see PatchInspector.m)
 * 
 */

@interface PatchInspector:ShapeInspector
{
    id  uBasisButton;		// The U basis button
    id  vBasisButton;		// The V basis button
    id  pointsVisibleSwitch;	// Show control points switch
    id  hullVisibleSwitch;	// Show control hull switch
}


// Methods for changing parameters of the selected Patch.  Basically, these
// all forward the desired state to the selected Patch.

- changeHullVisible:sender;
- changePointsVisible:sender;
- setUBasis:sender;
- setVBasis:sender;

@end