

@class List;

@interface PatchMesh : Shape 
{
    id	 	controlPts;	// List of control point objects
    RtPoint	*thePoints;	// The current set of float points
    int		nu;		// Size of mesh in u direction
    int		nv;		// Size of mesh in v direction
    int  	uBasis;		// The basis matrix in u parameter space
    RtBasis	theUBasis;	// The actual basis matrix
    int  	vBasis;		// The basis matrix in v parameter space
    RtBasis	theVBasis;	// The actual basis matrix
    BOOL 	showCtlPoints;	// Show control points?
    BOOL	showHull;	// Show control hull?
    int 	 uStep;	 	// Step values for evaluation window
    int  	vStep;	 	// Step values for evaluation window
}

- init;
- (BOOL) hullVisible;
- setHullVisible:(BOOL) flag;
- (BOOL)controlVisible;
- setControlVisible:(BOOL)flag;
- (int)uBasis;
- setUBasis:(int)theU;
- (int)vBasis;
- setVBasis:(int)theV;

@end