@interface BilinearPatch:Shape
{
    int		ySamples;
    float	top;
    float	bottom;
    float	thickness;
    RtPoint	*outlinePointArray;
    RtPoint	*outlineNormalArray;
    Storage 	*thePath;
    BOOL	positivePath;
    BOOL	positivePathSet;
    NXRect	boundingRect;
    BOOL	boundingRectSet;
    BOOL	bloatPatch;
    float	*bloatPath;
}

- initWithPath:(NXPoint *)path length:(int)len top:(float)topLevel bottom:(float)bottomLevel ySamples:(int)numSamples bloatPath:(float *)bpath;
- updatePatch;
- (NXRect)boundingRect;
- (BOOL)isPositivePath;
- setBottom:(float)newBottom;
- setTop:(float)newTop;
- setBottom:(float)newBottom top:(float)newTop;
- (float)top;
- (float)bottom;
@end
