@interface SliderCellFine:SliderCell
{ 
    id  textPal;			// cached for speed & archive

    float altStep;			// these could be doubles
    float defaultValue;
    float defaultMax;
    float defaultMin;
    struct _scfFlags {
	unsigned int isWhole:1;		/* whether integer format */
	unsigned int isDecimal:1;	/* whether currently in decimal mode */
	unsigned int allowLower:1;	/* whether can go lower than min */
	unsigned int allowHigher:1;	/* whether can go higher than max */
	unsigned int sendContinuously:1;/* whether we send action always */
	unsigned int PADDING:11;			/* pad to 16 */
    } scfFlags;
}

- init;      

- increment;
- decrement;

- (float)altStep;
- (float)defaultMin;
- (float)defaultMax;
- (float)defaultValue;

- (float)checkValue:(float)val;
- (BOOL) isDecimal;

- (BOOL)continueTracking:(const NXPoint *)lastPoint   // here is the work!
		      at:(const NXPoint *)currentPoint
		      inView:controlView;
		      
- setAltStep:(float)step whole:(BOOL)flag default:(float)val;
- setMax:(float)max allowHigher:(BOOL)hi min:(float)min allowLower:(BOOL)lo;
- setMax:(float)max min:(float)min default:(float)def altStep:(float)step;

- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;

- _setAlwaysSendUpAction:(BOOL)flag;

- setDefault:(float) def;
- setTextPal:anObject;
@end
