@interface SliderDualActing:Slider
{
    id  textPal;	// Our drone, but sometimes active textField
    id	upTarget;	// Who we send the text field and mouseup message to
    SEL	upAction;	// the call needed
    
    id  undoTarget;	// who manages our undo, we do by default
    int undoPosition;   // position of undo #define
    double lastValue;	// we stash the last value here for undo
}

/// Initialization:
+ initialize;
- initFrame:(const NXRect *)frameRect;
- displayAll;
- factorBy:(float)value;

/// IB sender methods:
- sendTextAction:sender;     /// method for textField to call
- incrementDecrement:sender;  /// method for inc./dec. buttons matrix

/// overridden superclass methods:
- mouseDown:(NXEvent *)e;
- setFloatValue:(float)aFloat;
- setIntValue:(int)anInt;

/// initialization routines called by clients:
- setUpTarget:anObject action:(SEL)anAction;
- setUpTarget:anObject action:(SEL)anAction isContinuous:(BOOL)flag;
- setMax:(float)max allowHigher:(BOOL)hi min:(float)min allowLower:(BOOL)lo;
- setAltStep:(float)step whole:(BOOL)flag default:(float)value;
- setFormat:(BOOL)flag left:(unsigned)l right:(unsigned)r;

/// historic smaller ones:
- setDefault:(float) def;
- setUpTarget:anObject;
- setUpAction:(SEL)anAction;


/// Misc and private:
- _sendIt;					// to send upAction to upTarget
- (BOOL) isDecimal;
- textPal;
- setTextPal:anObject;		// connect to textField in IB
@end
