surface
gwop(
	float 	frequency = 5,
                ps       = 0.5,
                pw        = 0.5;      

       /* space stuff */
       float    sp_opaque   = 0.2,
	   sp_clr_xs   = 0.2,
           sp_clr_ys   = 0.2,
	   sp_clr_zs   = 0.2;
     /* Wood stuff */
	float	w_ringscale	= 10,
                w_opaque        = 0.5,
                w_oys           = 1.0,
                w_lr = 0.5,
                w_lg=0.5,
                w_lb=0.5;
     
	color	lightwood	= color (0.3, 0.12, 0.03),
		darkwood	= color (0.05, 0.01, 0.005);

     
	float	w_Ka		= 0.2,
		w_Kd		= 0.4,
		W_Ks		= 0.6,
		w_roughness	= 0.1 )


{
  color w_Ci, sp_Oi, w_Oi, sp_Ci, i_threshold;
  float	smod = mod(xcomp(P)*frequency,1),
  tmod = mod(ycomp(P)*frequency,1);
  color cout;
  point NN, V;
  point PP;
  float y, z, r;
  uniform point scale, zero;
  point objP, cubeP;

  NN = faceforward(normalize(N),I);
  V = -normalize(I);
  
  PP = transform("shader", P);
  PP += noise(PP);
  
  y = ycomp(PP);
  z = zcomp(PP);
  r = sqrt(y*y + z*z);
  
  r *= w_ringscale;
  r += abs(noise(r));
  r -= floor(r);			/* == mod(r,1) */
  
  r = smoothstep(0, 0.8, r) - smoothstep(0.83, 1.0, r);
  w_Ci = mix(lightwood, darkwood, r);

  /* Oh my God! A comment... Why?  because you probably thought I was being
   * silly putting space here... Nope.  It makes sense.  And if i didn't put
   * a comment her, I would forget why I put space here in the first place.
   *
   * Things usually look unattractive (see note) if both the wood is nearly
   * completely opaque and space is generating icky blackness.  check for icky
   * blackness in the void and modify the opacity, color, or whatever of the
   * "wood" accordingly.
   *
   * (note: since sometimes they don't, add another parameter...
   *   give 'em more control, but confuse them while you're at it :-)
   */
  scale = point(sp_clr_xs, sp_clr_ys, sp_clr_zs);
  objP=transform("shader", P);
  cubeP=objP*scale;

  sp_Oi=Os*sp_opaque;
  sp_Ci=color "rgb" (abs(xcomp(cubeP)), abs(ycomp(cubeP)), abs(zcomp(cubeP)));
  i_threshold=color "rgb" (w_lr,w_lg,w_lb);

  if((abs(xcomp(cubeP))<w_lr) && (abs(ycomp(cubeP))<w_lg)
     && (abs(zcomp(cubeP))<w_lb)){
    cout=(i_threshold-sp_Ci)/i_threshold;
  }
  
  w_Oi = Os + (cout*w_oys);
  w_Ci = w_Oi * w_Ci * (w_Ka * ambient() + w_Kd * diffuse(NN))
    + (0.3*r + 0.7) * W_Ks * specular(NN, V, w_roughness);
  
  if(((smod < pw) && (tmod<ps)) || ((smod > pw) && (tmod>ps))){
    Ci=sp_Ci;
    Oi=sp_Oi;
  } else {
    Ci=w_Ci;
    Oi=w_Oi;
  }
}
